uk.gov.hmrc.payeestimator.domain

# TaxCalc

###
Related Doc: package domain

#### case class TaxCalc(statePensionAge: Boolean, taxCode: String, payPerHour: BigDecimal, hours: Int, averageAnnualTaxRate: BigDecimal, rateType: Option[String], marginalTaxRate: BigDecimal, maxTaxRate: BigDecimal, payeBand: BigDecimal, employeeNICBand: BigDecimal, tapered: Boolean, taxBreakdown: Seq[TaxBreakdown]) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxCalc
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TaxCalc(statePensionAge: Boolean, taxCode: String, payPerHour: BigDecimal, hours: Int, averageAnnualTaxRate: BigDecimal, rateType: Option[String], marginalTaxRate: BigDecimal, maxTaxRate: BigDecimal, payeBand: BigDecimal, employeeNICBand: BigDecimal, tapered: Boolean, taxBreakdown: Seq[TaxBreakdown])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val averageAnnualTaxRate: BigDecimal

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val employeeNICBand: BigDecimal

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val hours: Int

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val marginalTaxRate: BigDecimal

14. #### val maxTaxRate: BigDecimal

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val payPerHour: BigDecimal

19. #### val payeBand: BigDecimal

20. #### val rateType: Option[String]

21. #### val statePensionAge: Boolean

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### val tapered: Boolean

24. #### val taxBreakdown: Seq[TaxBreakdown]

25. #### val taxCode: String

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped